from byubit import Bit


@Bit.run('climb-the-mountain')
def climb(bit):
    # we are facing right and we are at a ledge

    while bit.left_clear():
        # climb a ledge
        # paint as you go
        # turn left
        bit.left()
        # go up to top of one ledge
        while not bit.right_clear():
            bit.paint("blue")
            bit.move()
        bit.right()
        # go right until you hit a wall
        while bit.front_clear():
            bit.paint("blue")
            bit.move()
        bit.paint("blue")
