from byubit import Bit


@Bit.run('fix-another-bridge', 'fix-bridge', 'fix-different-bridge')
def go_fix_the_bridge(bit):
    # move on top of the bridge
    # while right is not clear, move forward
    while not bit.right_clear():
        bit.move()

    # move down onto the bridge
    bit.right()
    bit.move()
    bit.left()

    # repair the bridge
    # while front is clear paint red and move
    while bit.front_clear():
        bit.paint("red")
        bit.move()

    # move off the bridge
    bit.left()
    bit.move()
    bit.right()

    # move to the end of the road
    # while front is clear, move
    while bit.front_clear():
        bit.move()
